<!--
title: Manually push to Gitlab container registry
description: 
published: true
date: 2022-01-14T08:38:31.931Z
tags: 
editor: ckeditor
dateCreated: 2021-12-21T14:01:21.825Z
-->

<h1>Manually push to GitLab container registry&nbsp;</h1>
<p>Start your Docker environment or other tool for building container images and open a terminal window.</p>
<p>Create a GitLab Access token with the scope Read_Registry and Write_Registry if you haven’t already got one, save your access token for later use.</p>
<p>Login with your GitLab username and access token for password.</p>
<p>docker login registry.gitlab.com</p>
<p>Build your container image and make sure to use the correct tag.</p>
<p><code>docker build -t registry.gitlab.com/hu-hc/jcr/platform/ctf-platform/getting_started:latest .</code></p>
<p>Push your newly built image to the GitLab container registry.</p>
<p><code>docker push registry.gitlab.com/hu-hc/jcr/platform/ctf-platform/getting_started:latest</code></p>
<p>&nbsp;</p>
